Bug 235700 - Upgrade to 2.8.3-2 breaks meeting requests from exchange users
Upgrade to 2.8.3-2 breaks meeting requests from exchange users
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-09 14:32 EDT by Erik Iverson
Modified: 2008-03-16 17:43 EDT (History)
2 users (show)

See Also:
Fixed In Version: evolution-2.12.3-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-16 17:43:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 487922 None None None Never

  None (edit)
Description Erik Iverson 2007-04-09 14:32:59 EDT
Description of problem:

Evolution, using evolution-connector, stopped correctly handling meeting
requests from Exchange upon upgrade from 2.8.3-1 to 2.8.3-2.  2.8.3-2 is marked
as a security upgrade.  Prior to upgrade, meeting requests work properly.  After
upgrade, meeting requests are shown as "unknown attachment."  The only fix I
found was to remove evolution completely and reinstall, specifying version 2.8.3-1.

Version-Release number of selected component (if applicable): 2.8.3-2


How reproducible:

1) receive a meeting request from another user (your own always work)
2) upgrade to 2.8.3-2
3) view existing, or new, meeting request - now contains only "unknown attachments"


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Frode Tennebø 2007-08-31 05:40:21 EDT
I have the same problem.  I had a FC5 installation (fully updated) which worked 
perfectly, and while upgrading it to FC7 (which involved in waiting for some 
new hardware to arrive) I switched to an FC6 installation (fully updated).  In 
this move I lost propper functioning access to meeting/appointment requests 
("unknown attachment").

I have tried to downgrade to older versions:

[root@modesty tmp]# rpm -qa|grep evolution
evolution-connector-2.8.3-1.fc6
evolution-2.8.3-1.fc6
evolution-sharp-0.11.1-10.fc6
evolution-data-server-1.8.3-1.fc6
evolution-webcal-2.7.1-6

But this gives the same behaviour.

F7 also behaves in the same manner with the following versions:

[root@rsh etc]# rpm -qa | grep evolution| sort | uniq
evolution-2.10.3-2.fc7
evolution-connector-2.10.3-1.fc7
evolution-data-server-1.10.3.1-2.fc7
evolution-webcal-2.10.0-1.fc7
Comment 2 Matthew Barnes 2007-08-31 11:26:26 EDT
Here is the difference between evolution-2.8.3-1.fc6 and evolution-2.8.3-2.fc6.
 It fixes a security flaw when previewing memos.

--- evolution-2.10.0/calendar/gui/e-cal-component-memo-preview.c.CVE-2007-1002 
2007-03-29 16:51:41.000000000 -0400
+++ evolution-2.10.0/calendar/gui/e-cal-component-memo-preview.c       
2007-03-29 16:51:56.000000000 -0400
@@ -185,7 +185,7 @@
                        }
                }

-               gtk_html_stream_printf(stream, string->str);
+               gtk_html_stream_printf(stream, "%s", string->str);

                g_string_free (string, TRUE);


This is what broke metting requests?
Comment 3 Frode Tennebø 2007-08-31 13:48:03 EDT
No.  I experienced the same behaviour in both evolution-2.8.3-1.fc6 and 
evolution-2.8.3-2.fc6.  The last time this worked was in FC5 (presumably) with 
the versions:  evolution-2.6.3-2.fc5 and evolution-connector-2.6.3-2.fc5.
Comment 4 Frode Tennebø 2007-09-03 06:06:48 EDT
After som trial and error I ended up with the following set of evolution 
components which works on FC6:

[root@modesty tmp]# rpm -qa | grep evolution
evolution-2.8.1.1-3.fc6
evolution-connector-2.8.1-1.fc6
evolution-sharp-0.11.1-10.fc6
evolution-data-server-1.8.1-1.fc6
evolution-webcal-2.7.1-6

I tried all the different inbetween version of evolution with no luck, so the 
bug is either in evolution-data-server or evolution-connector.

I'll try to update single components when I get some spare time, but there are 
some nasty dependencies there which broke some of the symlinks which I had to 
manually recreate to the correct versions.
Comment 5 Frode Tennebø 2007-09-03 07:25:57 EDT
OK, I bumbed all of the below up to the version as of Dec 04 2006:

evolution-connector-2.8.2-2.fc6
evolution-2.8.2.1-2.fc6
evolution-data-server-1.8.2-2.fc6

and the problem arose again.  So sometimes between Nov 01 2006 and then, the 
bug was introduced.  I then downgraded to evolution-2.8.1.1-3.fc6 and the 
meetings are again OK, however, now it seems that there are some instabilities 
with authentication with the server and I keep getting locked out.  While I 
wait for a solution I'm reverting to last good as described in my previous post.
Comment 6 Matthew Barnes 2007-10-05 11:50:37 EDT
Is this problem still present on Fedora 8 Test 2 or later?
Comment 7 Frode Tennebø 2007-10-09 07:59:05 EDT
I haven't tried F8T2 - as I'm running in a production environment I really 
don't want to bump the whole system.  Are there packages available for F7?

Interestingly enought I have stared to receive meeting requests which behaves 
exactly like the original problem, i.e. meeting requests are shown as "unknown 
attachment."  So, the workaround above seems to no longer work.

Can it be something marginal in the way Outlook/Exchange constructs these 
messages, which again is based on some set of settings, which can change from 
request to request, which makes Evolution fall over?
Comment 8 Matthew Barnes 2007-10-10 17:11:31 EDT
Thanks for responding.  The Evolution packages in Fedora 7 are for only for
version 2.10, which is no longer seeing regular updates.  I think you may be
able to install the Fedora 8 Evolution packages without bumping the entire
desktop, if you care to try.  You can always tell 'yum' to abort if it wants to
pull into too many additional packages.
Comment 9 Frode Tennebø 2007-10-12 09:31:14 EDT
[ft@modesty /tmp]$ rpm -Uvh evolution-*
warning: evolution-data-server-1.12.0-1.fc8.i386.rpm: Header V3 DSA signature: 
NOKEY, key ID 30c9ecf8
error: Failed dependencies:
        gnome-icon-theme >= 2.19.91 is needed by evolution-2.12.0-8.fc8.i386
        gtk2 >= 2.12.0 is needed by evolution-2.12.0-8.fc8.i386
        libgtkhtml-3.14.so.19 is needed by evolution-2.12.0-8.fc8.i386
        libpisock.so.9 is needed by evolution-2.12.0-8.fc8.i386
        glib2 >= 2.14.0 is needed by evolution-data-server-1.12.0-1.fc8.i386
        libdb-4.6.so is needed by evolution-data-server-1.12.0-1.fc8.i386
        libdb-4.6.so is needed by evolution-exchange-2.12.0-1.fc8.i386
        libedataserver-1.2.so.7 is needed by (installed) nautilus-sendto-0.7-
5.fc6.i386
        libedataserver-1.2.so.7 is needed by (installed) gnome-panel-2.16.3-
2.fc6.i386
        libedataserver-1.2.so.7 is needed by (installed) ekiga-2.0.5-3.fc6.i386
        libedataserver-1.2.so.7 is needed by (installed) bug-buddy-2.16.0-
4.fc6.i386
        libedataserver-1.2.so.7 is needed by (installed) control-center-2.16.3-
11.fc6.i386
        libedataserver-1.2.so.7 is needed by (installed) pidgin-2.0.2-
3.fc6.1.i386

Do you guarantee --nodeps? :-)
Comment 10 Frode Tennebø 2007-10-25 10:58:32 EDT
OK.  I have upgraded one machine to the latest F8 release.  But the problem
still persists. These are the versions I use:

[root@modesty ~]# rpm -q fedora-release fedora-release-notes
fedora-release-8-2
fedora-release-notes-8.0.0-1
[root@modesty ~]# rpm -qa | grep evolution
evolution-data-server-1.12.1-2.fc8
evolution-sharp-0.14.0.1-1.fc8
evolution-webcal-2.12.0-1.fc8
evolution-exchange-2.12.1-1.fc8
evolution-2.12.1-3.fc8

Comment 11 Matthew Barnes 2007-10-25 12:30:16 EDT
The problem persists for new meeting requests or existing meeting requests?
Comment 12 Frode Tennebø 2007-10-29 05:19:33 EDT
OK.  To clarify:

Everything was working fine in FC5, both new and existing meeting requests.  
Then I upgraded to FC6 and I had to downgrade some of the evolution packages to 
get meeting requests working again (see above).  At some point new meeting 
requests started to appear as "unknown attachments" while existing behaved 
correctly.

Upgrading to F8T3 did not change this for new meeting requests.  I no longer 
have old meeting requests available for testing, sorry.
Comment 13 Frode Tennebø 2007-10-29 07:16:48 EDT
I can now confirm that with current evolution also existing meeting requests
have "unknown attachment".  This is contrary to my experience when it was
working in FC6 and F7 with FC6 evolution rpm-packages, but when it failed after
some time for new meeting requests.  Then existing meeting requests were
displayed as normal.

When I refer to "existing meeting requests" I mean meeting requests in a mail
folder somewhere which has not been accepted (or any other action) - obviously -
due to the "unknown attachment" problem. 
Comment 14 Milan Crha 2007-10-29 10:35:47 EDT
Can you try to set Edit->Preferences->Mail Preferences, tab HTML Messages and in
the section "Plain Text Mode" change to "Show HTML if present". Maybe it will
help. Other option is to disable Prefer plain-text plugin from Edit->Plugins.

I noticed that this plugin generates those "unknown attachment" attachments,
even I'm not sure if it is the case now.
Comment 15 Frode Tennebø 2007-10-29 11:08:46 EDT
I disabled "Prefer plain-text" from Edit->Plugin as suggested, and - Wow! - it
now works again.  I can't remember enabling this option tho.......

Thanks, Milan!
Comment 16 Milan Crha 2007-10-30 05:12:25 EDT
maybe fix from gnome's bug http://bugzilla.gnome.org/show_bug.cgi?id=487922 will
help here too.
Comment 17 Matthew Barnes 2008-03-16 17:43:41 EDT
Milan's patch for this issue should be in the latest Fedora 8 update now.

Closing as CURRENTRELEASE, but feel free to reopen if you still encounter the
problem after upgrading.

Note You need to log in before you can comment on or make changes to this bug.